> ## Documentation Index
> Fetch the complete documentation index at: https://docs.easyflows.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the referral program



## OpenAPI

````yaml https://files.easyflows.io/openapi.json get /api/v1/app/referrals/program
openapi: 3.0.0
info:
  title: Easyflows
  version: v1
servers:
  - url: https://{subdomain}.easyflows.io
    variables:
      subdomain:
        default: demo
        description: Subdomain of the project
security: []
paths:
  /api/v1/app/referrals/program:
    get:
      tags:
        - Referrals
      summary: Get the referral program
      parameters:
        - schema:
            type: string
            description: >-
              The identifier of the profile for which to get the program
              details.
          required: false
          description: The identifier of the profile for which to get the program details.
          name: profile_id
          in: query
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ReferralProgram'
                required:
                  - data
        '400':
          description: Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: A description of the error that occurred.
                required:
                  - error
components:
  schemas:
    ReferralProgram:
      type: object
      properties:
        referrer_reward:
          allOf:
            - $ref: '#/components/schemas/Reward'
            - nullable: true
              description: >-
                The reward given to the referrer when a referral is
                qualified/completed.
        referee_reward:
          allOf:
            - $ref: '#/components/schemas/Reward'
            - description: The reward given to the referee when they are referred.
      required:
        - referrer_reward
        - referee_reward
      description: The main data returned by the API endpoint.
    Reward:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the reward.
          example: c08c5d3b-e98f-4c47-b7e1-7b8e792f99ea
        type:
          type: string
          enum:
            - coupon
            - giftcard
            - code
          description: The type of the reward.
          example: coupon
        name:
          type: string
          description: The name of the reward.
          example: 10% Off Coupon
        description:
          type: string
          nullable: true
          description: The description of the reward.
          example: Get 10% off your next purchase.
        image:
          type: string
          nullable: true
          description: The image URL of the reward.
          example: https://example.com/reward.jpg
      required:
        - id
        - type
        - name
        - description
        - image

````